• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!
  • Fill out your device list and let everyone know which phones you have!    Edit Your Device Inventory

Zlink App

Search This thread

Apollon2

Member
Mar 20, 2021
27
3
Newb here... how do I "root"?
Heres how I did it on my MAX10:

Theres also a video on it:

However, I wasn‘t able to update just zlink even if rooted.

Best is to install the complete march update of android 10 for the Max10, which works very stable for me.

Apollon
 

ikerg

Senior Member
Dec 19, 2007
2,420
704
I cant make zlink work on v4 and above.
I install just by replacing the apk file on the oem/..... folder and by giving the correct permissions . For versions 3.x.x. I can get it work as android auto on my s10+ but never worked wired or wirelessly from version 4 0 and above.


Is there anything wrong what I am doing?
I am on Hal9k px6 android 9 ROM
 

Shiz_ON

New member
Oct 16, 2020
1
0
Hello,
I bought an Android device for BMW E82 CCC ... I have iOS 14.5 update in iPhone and now my Zlink v.3.6.12 don't work.. .. how can update zlink?
Thank You
 

Attachments

  • CD44FC6D-A12B-4B32-9EEC-B90B95A974B5.jpeg
    CD44FC6D-A12B-4B32-9EEC-B90B95A974B5.jpeg
    2 MB · Views: 93

ikerg

Senior Member
Dec 19, 2007
2,420
704
I cant make zlink work on v4 and above.
I install just by replacing the apk file on the oem/..... folder and by giving the correct permissions . For versions 3.x.x. I can get it work as android auto on my s10+ but never worked wired or wirelessly from version 4 0 and above.


Is there anything wrong what I am doing?
I am on Hal9k px6 android 9 ROM
I finally could make it work. I had to upgrade as well the libraries...not only the app.
Anyway on my start screen of 4.0.21 only icons for carplay wireless, carplay wired and aandroid auto wired appears....what can I have to get it AA wireless?
I have a px6 android 9. Is only an android 10 feature?
 

antoniopa89

Member
Apr 13, 2021
11
0
Hello , I have android unit 9216BJ with 2gb ram and 32 gb rom. I have installed this firmware version, the ZLINK app is already installed by default. But when I open the app I get this error. I posted the screenshots in the hope that someone will help me solve. I have an Iphone X with IOS 14.5.1 and I have already enabled root permissions and installed a TWRP recovery. thank you very much
 

Attachments

  • esempio.jpg
    esempio.jpg
    94.5 KB · Views: 113
  • 351424AE-11C9-41C0-B23D-C7F9F27BCB8F.jpeg
    351424AE-11C9-41C0-B23D-C7F9F27BCB8F.jpeg
    3.6 MB · Views: 112

marchnz

Senior Member
Nov 26, 2012
3,618
720
wombleton
Hello , I have android unit 9216BJ with 2gb ram and 32 gb rom. I have installed this firmware version, the ZLINK app is already installed by default. But when I open the app I get this error. I posted the screenshots in the hope that someone will help me solve. I have an Iphone X with IOS 14.5.1 and I have already enabled root permissions and installed a TWRP recovery. thank you very much
So not an MTCD/E Device.
 

jlbooth

Senior Member
Feb 5, 2013
155
86
OnePlus 6T
And I washed the windows, wiped the dash, and shined the tires.....(to add to the list that included installing TWRP)

The thing with this ZLink app is that one of the first prerequisites seems to be that the factory ROM for the head unit has to come with a version of ZLink pre-installed in the version numbering that you're trying to get to work. If it doesn't have ZLink pre-installed, then it is highly unlikely you will ever get it to work.

If it has 4.x then you should be able to get another 4.x version to work. Just because an app will install on a head unit or if you copy the .APK somewhere does not guarantee that it will ever really work. That whole "Inactivated" (good Engrish) business is for the ZLink app to examine the hardware and see if it's "supported" and give you a cryptic error message if the hardware is not supported.. It is not really "activating" it is trying to figure out if there's an agreement between the Chinese outfit that made ZLink and the maker of the head unit.

***end rant
 

iagobkstar

Member
May 14, 2021
13
5
Could anyone tell me how can I update the app to 4.0.23? From what I've read in other threads, it's a killer upgrade, but the update button does not do anything in my unit! Do I have to do anything in order to make it update itself? I'm in 4.0.17, tried 4.0.21 but AA wireless does seem to break in that version...

There are a couple issues in 4.0.17 that make me want to desperately update. First of all, the wireless connection is finicky, it'll work 9/10 times without issue, but that 1/10th time drives me nuts. I have to take my phone off my pocket and plug it in, many times forcing me to stop the car. Secondly, when listening to Spotify and changing songs with "Ok Google" commands, the volume is super low and it doesn't return to normal until there's a GPS indication (this is 100% repeatable). I know the first issue is resolved in 4.0.23, but do you know if the second is also solved?

Cheers
 

khaosengine

Member
Mar 8, 2012
40
5
I finally could make it work. I had to upgrade as well the libraries...not only the app.
Anyway on my start screen of 4.0.21 only icons for carplay wireless, carplay wired and aandroid auto wired appears....what can I have to get it AA wireless?
I have a px6 android 9. Is only an android 10 feature?
Hi there ikerg can you please give more detail on how you installed this version on hal9k.
just copied over the zlink apk and installed with a file manager? but how did you update the libraries like you say? Thank you
 
  • Like
Reactions: Apollon2

iagobkstar

Member
May 14, 2021
13
5
Hi there ikerg can you please give more detail on how you installed this version on hal9k.
just copied over the zlink apk and installed with a file manager? but how did you update the libraries like you say? Thank you
If your radio came without a working Zlink app, the chances are you are missing the hardware to run in, and you must buy a dongle. However, if your radio had a previous version of Zlink, in my case it worked by directly installing the .apk as any other .apk. Try first, there's nothing to lose. Make a backup of your preinstalled version of Zlink just in case, but if it's installed as a system app, if you uninstall the version you have installed on top, it should revert back to the factory version.
 
  • Like
Reactions: khaosengine

khaosengine

Member
Mar 8, 2012
40
5
Nice one! Yes my px6 has zlink installed, stock android 10 4.014 version. I’m playing with the idea of installing hal9k and installing this zlink update .23. My stock rom is not rooted tho
 

iagobkstar

Member
May 14, 2021
13
5
Nice one! Yes my px6 has zlink installed, stock android 10 4.014 version. I’m playing with the idea of installing hal9k and installing this zlink update .23. My stock rom is not rooted tho
It will work then, just make sure you install the correct version for your device of hal9k. That's actually what I did, I backed up my Zlink 4.0.8 apk, installed Malaysk ROM (which in turn installed Zlink 3.X.X) and then installed Zlink 4.0.17 as a normal apk. It just worked without workarounds. If you decide you want to rollback to the old version, just download the latest firmware from your manufacturer and install it; it'll reinstall the Zlink app.

PS: if you're able to find Zlink 4.0.23 apk, please share! I'm interested in updating...
 
  • Like
Reactions: khaosengine

khaosengine

Member
Mar 8, 2012
40
5
It will work then, just make sure you install the correct version for your device of hal9k. That's actually what I did, I backed up my Zlink 4.0.8 apk, installed Malaysk ROM (which in turn installed Zlink 3.X.X) and then installed Zlink 4.0.17 as a normal apk. It just worked without workarounds. If you decide you want to rollback to the old version, just download the latest firmware from your manufacturer and install it; it'll reinstall the Zlink app.

PS: if you're able to find Zlink 4.0.23 apk, please share! I'm interested in updating...
Thank you, sorry I meant 4.0.21 which I found a link for on this thread. Are u running malaysk android 10, or 9? My stock rom came with .14 android 10…
 

iagobkstar

Member
May 14, 2021
13
5
Thank you, sorry I meant 4.0.21 which I found a link for on this thread. Are u running malaysk android 10, or 9? My stock rom came with .14 android 10…
I'm running Malaysk PX6 Android 10. Hal9k is not yet available for PX6 with Android 10. I believe we were in the same situation to start with. Also, I would recommend sticking to 4.0.17 if you want to use Android Auto Wireless, it does not work in 4.0.21.
 
Jun 11, 2021
9
0
Hi i am new here i m from india
Just added this new android player to my car i just want to add apple car play to this can i ? Wired i ll be happy with it too
Noob here please someone help
Attaching my system image hope someone can help 🥺
Thanks.
 

Attachments

  • 837AD0E0-2DC1-4EF5-809A-E4C2207A43A2.jpeg
    837AD0E0-2DC1-4EF5-809A-E4C2207A43A2.jpeg
    113.7 KB · Views: 43
  • D6EE6D73-1DFD-4227-8F6B-FA758070946D.jpeg
    D6EE6D73-1DFD-4227-8F6B-FA758070946D.jpeg
    113.3 KB · Views: 41

Apollon2

Member
Mar 20, 2021
27
3
Hi i am new here i m from india
Just added this new android player to my car i just want to add apple car play to this can i ? Wired i ll be happy with it too
Noob here please someone help
Attaching my system image hope someone can help 🥺
Thanks.
You should mention which exact model you have. If it doesn‘t have built in carplay there are usb dongles for that. But I‘m not familiar with these.

And if it‘s new you might want to consider returning it and buying one with integrated carplay..
 

Top Liked Posts